﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Diagnostics;

namespace ClassLibrary1
{
    public class Worker
    {
        public void DoWork()
        {
            string connectionString = GetConnectionString();

            IEnumerable<string> data = GetData(connectionString);

            data = SortData(data);

            foreach (string item in data)
            {
                Debug.WriteLine(item);
            }

        }

        private string GetConnectionString()
        {
            //get connection string from config file or something...
            return "I am the connection string here!";
        }

        private IEnumerable<string> GetData(string connectionString)
        {
            //do something with connection string in here...
            return new string[] { "one", "two", "three", "four" };
        }

        private IEnumerable<string> SortData(IEnumerable<string> data)
        {
            var orderedData = from item in data orderby item select item;
            return orderedData;

        }

    }
}
