// Type: Spring.Core.Extensions.ApplicationContextExtensions
// Assembly: Spring.Core.Extensions, Version=1.0.0.0, Culture=neutral
// Assembly location: C:\_talks\Fairfield Westchester CodeCamp 2010\Taming Dependency Chaos with IoC Containers\code\03-Working_final\Lib\Spring\Spring.Core.Extensions.dll

using Spring.Context;
using Spring.Objects.Factory.Config;

namespace Spring.Core.Extensions
{
    public static class ApplicationContextExtensions
    {
        public static void AutoWireAllBy(this IConfigurableApplicationContext context, AutoWiringMode mode);
        public static T GetObject<T>(this IApplicationContext context, string name);
        public static T GetObject<T>(this IApplicationContext context);
        public static void RegisterPointcut(this IConfigurableApplicationContext context, IObjectPostProcessor pointcut);
    }
}
